Patch yelp for new documentation homepage

Bug #819158 reported by Matthew East on 2011-08-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
Undecided
Unassigned
yelp (Ubuntu)
High
Canonical Desktop Team

Bug Description

In oneiric we will not use the same document id for the yelp homepage as we did in natty.

Yelp needs to be patched so that it opens the document id "ubuntu-help" as its homepage, and not "gnome-help".

Ideally, the homepage would be customisable so that it would open ubuntu-help when running the Ubuntu/Unity session, and gnome-help when running the Gnome3 session. I believe some work is going on upstream to enable this but for the time being a simple patch to always open "ubuntu-help" would be fine.

Related branches

Matthew East (mdke) on 2011-08-01
Changed in yelp (Ubuntu):
milestone: none → ubuntu-11.10
status: New → Confirmed
importance: Undecided → High
Changed in yelp (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Martin Pitt (pitti) wrote :

Is that a change that will still happen in the -doc packages? If I press "F1" on the desktop, or just call "yelp", I get the Ubuntu Desktop Guide page, which seems alright. But then again, calling "yelp ghelp:gnome-help" and "yelp ghelp:ubuntu-help" currently leads me to the very same page; it would indeed make sense for "ghelp:gnome-help" to show the upstream documentation.

Changed in yelp (Ubuntu):
status: Confirmed → Incomplete
Jeremy Bicha (jbicha) wrote :

I attached a merge proposal, where I set Yelp's default to ubuntu-help.

I think it's getting a bit late in the release cycle for Yelp 3.2 to include a feature where the homepage changes based on the running desktop environment.

Martin Pitt (pitti) wrote :

So assuming that ghelp:gnome-help is supposed to change, Jeremy's fix looks fine. I merged that into the packaging branch.

Changed in yelp (Ubuntu):
status: Incomplete → Fix Committed

On 16 August 2011 07:53, Martin Pitt <email address hidden> wrote:
> Is that a change that will still happen in the -doc packages? If I press
> "F1" on the desktop, or just call "yelp", I get the Ubuntu Desktop Guide
> page, which seems alright. But then again, calling "yelp ghelp:gnome-
> help" and "yelp ghelp:ubuntu-help" currently leads me to the very same
> page;

They aren't exactly identical. ubuntu-docs and gnome-user-docs in
oneriric are currently quite similar but that won't remain the case
for very long.

We will need to make a seeding change to remove gnome-user-docs for
the default install after this change is made and add it as a
dependency for the Gnome Shell packages (unless that is already the
case).

--
Matthew East
http://www.mdke.org
gnupg pub 1024D/0E6B06FF

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp - 3.1.2-0ubuntu1

---------------
yelp (3.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixes LP: #809425
    - Adds Unity to OnlyShowIn (LP: #803519)
  * debian/patches/04_new_ubuntu_layout.patch
    - Dropped, obsolete
  * debian/patches/07_build_with_dsolink.patch
    - Dropped, obsolete
  * debian/patches/06_make_ubuntu_docs_default.patch
    - Use ubuntu-help as default instead of gnome-help
      (LP: #819158)
 -- Jeremy Bicha <email address hidden> Tue, 16 Aug 2011 09:49:09 +0200

Changed in yelp (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) wrote :

Yes, we're going to have Gnome Shell recommend gnome-user-docs. Unfortunately, Gnome Shell users will still get the Unity docs by default but I believe that's fixable, just might not be done for Oneiric.

One workaround would be to create an extra .desktop for Gnome Help, which could be what users want.

Martin Pitt (pitti) wrote :

I unseeded gnome-user-docs now and will add it as a recommends to gnome-shell.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.1.3-0ubuntu3

---------------
gnome-shell (3.1.3-0ubuntu3) oneiric; urgency=low

  * debian/control.in: Add recommends to gnome-user-guide, so that installing
    Shell also pulls in the corresponding help. (LP: #819158)
 -- Martin Pitt <email address hidden> Tue, 16 Aug 2011 10:26:20 +0200

Changed in gnome-shell (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers